/******************************************************************************
* 
* Copyright (c) 2011 Freescale Semiconductor;
* All Rights Reserved                       
*
*******************************************************************************
*
* THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
***************************************************************************//*!
*
* @file      screen_password.c
*
* @author    b01119
* 
* @version   0.0.2.0
* 
* @date      Jan-18-2011
* 
* @brief     Screen for testing password user object
*
******************************************************************************/

#include "d4cd.h"

// declare the static functions headers
static void D4CD_PassWordOnEnter(D4CD_OBJECT* pThis, D4CD_BOOL valid);

// D4CD_PSWRD declaration
D4CD_DECLARE_STD_PSWRD(tstPassWordScr_PassWord, "Pswrd:", NULL, 0, 0, 6, D4CD_PassWordOnEnter)

// D4CD_SCREEN declaration
D4CD_DECLARE_SCREEN_BEGIN(scr_testPassWord, TestPassWordScreen_, 0 ,0, D4CD_SCREEN_CHAR_CNT, D4CD_SCREEN_LINE_CNT, "Test PassWord", D4CD_USER_CHAR_TABLE_DEFAULT, (D4CD_SCR_F_BCKG))
  D4CD_DECLARE_SCREEN_OBJECT(tstPassWordScr_PassWord)
D4CD_DECLARE_SCREEN_END()

// PassWord On Enter call back function
static void D4CD_PassWordOnEnter(D4CD_OBJECT* pThis, D4CD_BOOL valid)
{
  D4CD_UNUSED(pThis);
  
  // if enterd password is not valid, just go to the base screen
  if(!valid)
    D4CD_EscapeToBaseScreen();

}

// One time called screen function in screen initialization proces
static void TestPassWordScreen_OnInit()
{
  // initialize password object
  D4CD_PswrdSet(&tstPassWordScr_PassWord, "Test-0");
  D4CD_PswrdSetRange(&tstPassWordScr_PassWord, D4CD_TRUE, D4CD_TRUE, D4CD_TRUE);
}

// Screen on Activate function called with each screen activation
static void TestPassWordScreen_OnActivate()
{
  
}


// Screen "Main" function called periodically in each D4CD_poll runs
static void TestPassWordScreen_OnMain()
{

}


// Screen on DeActivate function called with each screen deactivation
static void TestPassWordScreen_OnDeactivate()
{
    
}

// Screen on message function called with each internal massage for this screen
static Byte TestPassWordScreen_OnObjectMsg(D4CD_MESSAGE* pMsg)
{
    D4CD_UNUSED(pMsg);
    return 0;
}